module.exports = {
    'china-embassy.org': {
        _name: '中国驻外使领馆',
        ca: [
            {
                title: '重要通知 - 加拿大大使馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/zytz', '/'],
                target: '/embassy/ca',
            },
        ],
        jp: [
            {
                title: '通知通告 - 日本大使馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/lsfws/LSB', '/'],
                target: '/embassy/jp',
            },
        ],
        kr: [
            {
                title: '重要通知 - 韩国大使馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/lsqz/ls_tz', '/'],
                target: '/embassy/kr',
            },
        ],
        my: [
            {
                title: '重要通知 - 马来西亚大使馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/zytz', '/'],
                target: '/embassy/my',
            },
        ],
        sg: [
            {
                title: '重要通知 - 新加坡大使馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/lsfw/zytzs', '/'],
                target: '/embassy/sg',
            },
        ],
    },
    'china-embassy.gov.cn': {
        _name: '中国驻外使领馆',
        us: [
            {
                title: '重要通知 - 美国大使馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/zytz', '/'],
                target: '/embassy/us',
            },
        ],
    },
    'chinese-embassy.org.uk': {
        _name: '中国驻外使领馆',
        www: [
            {
                title: '领事协助 - 英国大使馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/lsfw/lsxz', '/'],
                target: '/embassy/us',
            },
        ],
    },
    'chineseembassy.org': {
        _name: '中国驻外使领馆',
        de: [
            {
                title: '近期通知 - 德国大使馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/lsfw/jqtz', '/'],
                target: '/embassy/de',
            },
        ],
        fr: [
            {
                title: '重要通知 - 法国大使馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/zgzfg/zgsg/lsb', '/'],
                target: '/embassy/fr',
            },
        ],
    },
    'china-consulate.org': {
        _name: '中国驻外使领馆',
        marseille: [
            {
                title: '领事服务最新公告 - 马赛总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/lsfwgg', '/'],
                target: '/embassy/fr/marseille',
            },
        ],
        strasbourg: [
            {
                title: '重要通知 - 斯特拉斯堡总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/lsfw', '/'],
                target: '/embassy/fr/strasbourg',
            },
        ],
        lyon: [
            {
                title: '通知、通告 - 里昂总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/tztg', '/'],
                target: '/embassy/fr/lyon',
            },
        ],
        nagasaki: [
            {
                title: '通知公告 - 长崎总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/tzgg', '/'],
                target: '/embassy/jp/nagasaki',
            },
        ],
        osaka: [
            {
                title: '通知公告 - 大阪总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/tzgg', '/'],
                target: '/embassy/jp/osaka',
            },
        ],
        fukuoka: [
            {
                title: '通知公告 - 福冈总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/tzgg', '/'],
                target: '/embassy/jp/fukuoka',
            },
        ],
        sapporo: [
            {
                title: '通知公告 - 札幌总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/tzgg', '/'],
                target: '/embassy/jp/sapporo',
            },
        ],
        niigata: [
            {
                title: '通知通告 - 新潟总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/lsbh/tztg', '/'],
                target: '/embassy/jp/niigata',
            },
        ],
        busan: [
            {
                title: '通知公告 - 釜山总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/lsfw/tzgg101', '/'],
                target: '/embassy/kr/busan',
            },
        ],
        gwangju: [
            {
                title: '公告通知 - 光州总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/lbxx/ggtz', '/'],
                target: '/embassy/kr/gwangju',
            },
        ],
        edinburgh: [
            {
                title: '重要通知 - 爱丁堡总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/zytz', '/'],
                target: '/embassy/uk/edinburgh',
            },
        ],
        newyork: [
            {
                title: '重要通知 - 纽约总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/fwzc/zxtz', '/'],
                target: '/embassy/us/newyork',
            },
        ],
    },
    'chinaconsulatechicago.org': {
        _name: '中国驻外使领馆',
        www: [
            {
                title: '领馆重要通知 - 芝加哥总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/zytz', '/'],
                target: '/embassy/us/chicago',
            },
        ],
    },
    'chinaconsulatesf.org': {
        _name: '中国驻外使领馆',
        www: [
            {
                title: '重要通知 - 旧金山总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/zytz', '/'],
                target: '/embassy/us/sanfrancisco',
            },
        ],
    },
    'chineseconsulate.org': {
        _name: '中国驻外使领馆',
        montreal: [
            {
                title: '重要通知 - 蒙特利尔总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/zytz', '/'],
                target: '/embassy/ca/montreal',
            },
        ],
        munich: [
            {
                title: '近期通知 - 慕尼黑总领馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/jqtz', '/'],
                target: '/embassy/de/munich',
            },
        ],
        nagoya: [
            {
                title: '通知公告 - 名古屋总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: '/',
                target: '/embassy/jp/nagoya',
            },
        ],
        jeju: [
            {
                title: '公告栏 - 济州总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/ggl', '/'],
                target: '/embassy/kr/jeju',
            },
        ],
        belfast: [
            {
                title: '通知通告 - 贝尔法斯特总领馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/tztg', '/'],
                target: '/embassy/uk/belfast',
            },
        ],
        manchester: [
            {
                title: '通知公告 - 曼彻斯特总领事馆',
                docs: 'https://docs.rsshub.app/routes/government#zhong-guo-zhu-wai-shi-ling-guan',
                source: ['/chn/tzgg', '/'],
                target: '/embassy/uk/manchester',
            },
        ],
    },
};
