module.exports = function (router) {
    // ministry
    router.get(/cac(\/[\w/-]+)?/, require('./cac/index'));
    router.get(/ccdi(\/[\w/-]+)?/, require('./ccdi'));
    router.get('/chinatax/latest', require('./chinatax/latest'));
    router.get('/cmse/fxrw', require('./cmse/fxrw'));
    router.get(/cmse(\/[\w/-]+)?/, require('./cmse'));
    router.get(/cnnic(\/[\w/-]+)?/, require('./cnnic'));
    router.get('/csrc/auditstatus/:apply_id', require('./csrc/auditstatus'));
    router.get('/csrc/news/:suffix*', require('./csrc/news'));
    router.get('/customs/list/:gchannel?', require('./customs/list'));
    router.get('/fmprc/:category?', require('./mfa/wjdt'));
    router.get('/forestry/gjlckjdjt/:category?', require('./forestry/gjlckjdjt'));
    router.get('/immiau/news', require('./immiau/news'));
    router.get('/jinan/healthcommission/medical_exam_notice', require('./jinan/healthcommission/medical_exam_notice'));
    router.get('/mee/ywdt/:category?', require('./mee/ywdt'));
    router.get('/mem/gk/sgcc/:category?', require('./mem/sgcc'));
    router.get('/mfa/wjdt/:category?', require('./mfa/wjdt'));
    router.get('/miit/wjfb/:ministry', require('./miit/wjfb'));
    router.get('/miit/yjzj', require('./miit/yjzj'));
    router.get('/miit/zcwj', require('./miit/zcwj'));
    router.get('/miit/wjgs', require('./miit/wjgs'));
    router.get('/miit/zcjd', require('./miit/zcjd'));
    router.get('/moe/:type', require('./moe/moe'));
    router.get('/moe/s78/:column', require('./moe/s78'));
    router.get('/mofcom/article/:suffix+', require('./mofcom/article'));
    router.get('/moj/aac/news/:type?', require('./moj/aac/news'));
    router.get('/news/:uid', require('./news'));
    router.get(/nifdc\/([\w/-]+)?/, require('./nifdc'));
    router.get(/\/nmpa\/([\w][\w/]+)?/, require('./nmpa/generic'));
    router.get(/nopss(\/[\w/-]+)?/, require('./nopss'));
    router.get('/npc/:caty', require('./npc/index'));
    router.get('/nrta/news/:category?', require('./nrta/news'));
    router.get('/nrta/dsj/:category?', require('./nrta/dsj'));
    router.get(/nsfc(\/[\w-/]+)?/, require('./nsfc'));
    router.get('/pbc/goutongjiaoliu', require('./pbc/goutongjiaoliu'));
    router.get('/pbc/gzlw', require('./pbc/gzlw'));
    router.get('/pbc/tradeAnnouncement', require('./pbc/tradeAnnouncement'));
    router.get('/pbc/zcyj', require('./pbc/zcyj'));
    router.get('/samr/xgzlyhd/:category?/:department?', require('./samr/xgzlyhd'));
    router.get('/sasac/:path+', require('./sasac/generic'));
    router.get(/stats(\/[\w/-]+)?/, require('./stats'));
    router.get('/zhengce/govall/:advance?', require('./zhengce/govall'));
    router.get('/zhengce/wenjian/:pcodeJiguan?', require('./zhengce/wenjian'));
    router.get('/zhengce/zhengceku/:department', require('./zhengce/zhengceku'));
    router.get('/zhengce/zuixin', require('./zhengce/zuixin'));
    // province
    router.get(/anhui\/kjt\/([\w\d/-]+)?/, require('./anhui/kjt'));
    router.get(/beijing\/bphc(\/[\w/-]+)?/, require('./beijing/bphc'));
    router.get('/beijing/jw/tzgg', require('./beijing/jw/tzgg'));
    router.get('/beijing/kw/:channel', require('./beijing/kw/index'));
    router.get('/chongqing/gzw/:category*', require('./chongqing/gzw'));
    router.get('/chongqing/rsks', require('./chongqing/rsks'));
    router.get('/chongqing/sydwgkzp', require('./chongqing/sydwgkzp'));
    router.get(/dianbai(\/[\w/-]+)?/, require('./dianbai/dianbai'));
    router.get(/gaozhou(\/[\w/-]+)?/, require('./gaozhou/gaozhou'));
    router.get('/guangdong/tqyb/sncsyjxh', require('./guangdong/tqyb/sncsyjxh'));
    router.get('/guangdong/tqyb/tfxtq', require('./guangdong/tqyb/tfxtq'));
    router.get('/gz/:channel/:category', require('./gz/index'));
    router.get('/hebei/czt/xwdt/:category?', require('./hebei/czt'));
    router.get(/huazhou(\/[\w/-]+)?/, require('./huazhou/huazhou'));
    router.get('/huizhou/zwgk/:category?', require('./huizhou/zwgk/index'));
    router.get('/hunan/changsha/major-email', require('./hunan/changsha/major-email'));
    router.get(/maoming(\/[\w/-]+)?/, require('./maoming/maoming'));
    router.get('/maonan/:category', require('./maonan/maonan'));
    router.get(/mgs(\/[\w/-]+)?/, require('./mgs/mgs'));
    router.get(/mmht(\/[\w/-]+)?/, require('./mmht/mmht'));
    router.get(/sdb(\/[\w/-]+)?/, require('./sdb/sdb'));
    router.get('/shaanxi/kjt/:id?', require('./shaanxi/kjt'));
    router.get('/shanghai/rsj/ksxm', require('./shanghai/rsj/ksxm'));
    router.get('/shanghai/wsjkw/yqtb', require('./shanghai/wsjkw/yqtb'));
    router.get('/shanghai/wgj/:page?', require('./shanghai/wgj/wgj'));
    router.get(/shanghai\/yjj\/([\w/-]+)?/, require('./shanghai/yjj'));
    router.get('/shenzhen/hrss/szksy/:caty/:page?', require('./shenzhen/hrss/szksy/index'));
    router.get('/shenzhen/xxgk/zfxxgj/:caty', require('./shenzhen/xxgk/zfxxgj'));
    router.get('/shenzhen/zjj/xxgk/:caty', require('./shenzhen/zjj/index'));
    router.get('/shenzhen/zzb/:caty/:page?', require('./shenzhen/zzb/index'));
    router.get('/sichuan/deyang/govpublicinfo/:countyName/:infoType?', require('./sichuan/deyang/govpublicinfo'));
    router.get('/sichuan/deyang/mztoday/:infoType?', require('./sichuan/deyang/mztoday'));
    router.get('/taiyuan/rsj/:caty/:page?', require('./taiyuan/rsj'));
    router.get('/wuhan/sy/whyw', require('./wuhan/whyw'));
    router.get(/xinyi(\/[\w/-]+)?/, require('./xinyi/xinyi'));
    router.get('/xuzhou/hrss/:category?', require('./xuzhou/hrss'));
    router.get('/zhejiang/gwy/:category?/:column?', require('./zhejiang/gwy'));
};
